/* Global Styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Font Styles */
.big-shoulders-display {
  font-family: "Big Shoulders Display", sans-serif;
  font-weight: 900;
}

html, body {
  font-size: 16px;
  scroll-behavior: smooth;
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  font-family: "Big Shoulders Display", sans-serif;;
}

/* Main Layout */
.webpage {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  
}

/* Header Section */
#mosh-header {
  height: 100vh;
  width: 100vw;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;

  /* Backgroun GIF setting */
  background: url("cowboy.webp");
  background-size: contain;
  background-position: center;
  background-attachment: fixed;
}

#mosh-header::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.2);
  z-index: 0;
}
h1 {
  font-size: 4em;
  color: rgb(245, 155, 11);
  text-align: center;
  z-index: 1;
  padding: 10px 20px;
  border-radius: 5px;
  text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.7);
}

/* Ticket Section */
#ticket-sec {
  padding: 40px;
  background-color: rgba(245, 155, 11, 0.13);
  text-align: center;
  width: 100%;
}

#ticket-text {
  font-size: 2em;
  font-weight: 600;
  color:rgb(245, 155, 11);
}

#purchase-ticket {
  font-size: 1.2em;
  padding: 10px 20px;
  margin-top: 20px;
  background-color: orange;
  border: none;
  color: white;
  cursor: pointer;
}

#purchase-ticket:hover {
  background-color: darkorange;
}

/* Location Section */
#location-sec {
  padding: 50px;
  background-color: #000000e6;
  width: 100%;
}

#location-head {
  text-align: center;
  font-size: 2em;
  margin-bottom: 20px;
  color:rgb(245, 155, 11);
}

.location-container {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.location-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 20px;
  flex: 1;
  max-width: 45%;
}

#location-link, #three-mask-link {
  font-size: 1.5em;
  margin-bottom: 10px;
  color: rgb(245, 155, 11);
}

#location-image, #three-mask-location {
  width: 500px;
  height: 300px;
  object-fit: cover;
  border: 2px solid #333;
  margin-top: 10px;
}

/* Responsive Styling */
@media screen and (max-width: 768px) {
  h1 {
      font-size: 3em;
  }

  #location-head {
      font-size: 1.5em;
  }

  .location-box {
      max-width: 100%;
  }
}
